# Lost In Transit
Lost in Transit is a mod for Risk of Rain 2 that adapts content from Risk of Rain 1, intending to balance and redesign varying features in ways that preserve that best original identites while also respecting the balance and gameplay changes made in Risk of Rain 2.

In its current state, the mod is intended to be an adaptation over a pure port - some features may have changed function or identities for varying reasons. This is done to help players less familiar with Risk of Rain 1's content ease into it and keep things simple. 

If you have any issues with the mod, any feedback you'd like to give, any ideas for new content, or would like to follow progress, you can either join the Lost in Transit Discord Server (https://discord.gg/jzxXsQEZ5y) or you can contact me on Discord (swuff★#2224) - shoot me a DM or ping me in a mutual server. The mod is in active development, so expect new features soon. And as a personal note: I'm still fairly new to modding, so expect issues. 

## Items / Equipment

| Icon | Item | Description | Rarity |
|:-|-|------|-|
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconRootNewer.png) | **Bitter Root** | Increase health regeneration by 3 hp/s for 3s (+3s per stack) after killing an enemy. | Common |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/LostInTransit/LITAssets/ItemDefs/LifeSavings/texIconLifeSavingsGroove.png) | **Life Savings** | Gain 1 (+1 per stack) Chest's worth of gold at the beginning of each stage. | Common |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconMeatNuggetGroove.png) | **Meat Nugget** | 8% chance on hitting an enemy to spawn a nugget that increases health regeneration by +1.6 hp/s for 2 seconds (+2 seconds per stack). | Common |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/LostInTransit/LITAssets/ItemDefs/MysteriousVial/mysteriousvial.png) | **Mysterious Vial** | Increase health regeneration by +0.8 hp/s (+0.8 hp/s per stack). | Common |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconCatGroove.png) | **Beckoning Cat** | Elite monsters have a 4.5% (+1.5% per stack) chance to drop items on death. | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/LostInTransit/LITAssets/ItemDefs/EnergyCell/energyCellIcon.png) | **Energy Cell** | Gain attack speed proportionate to percentage of missing health, up to a maximum of +40% (+20% per stack) attack speed with 10% or less health remaining. | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconGoldenGunGroove.png) | **Golden Gun** | Deal extra damage based on held gold, up to +40% damage (+20% per stack) at 300 gold (+150 per stack, scaling with time). | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconGuardiansHeartGroove.png) | **Guardian's Heart** | Gain 60 shield. All shields become gated, blocking any damage exceeding your current amount of shield and giving 40 armor for 3 (+50% per stack) seconds when broken. | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconPrisonShacklesGroove.png) | **Prison Shackles** | Slow monsters for -30% attack speed for 2 (+2 per stack) seconds. | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/LostInTransit/LITAssets/ItemDefs/RustyJetpack/texIconRustyJetpack.png) | **Rusty Jetpack** | Jump 10% higher (+10% higher per stack) and fall 50% slower (+50% slower per stack) while holding jump. | Uncommon |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/LostInTransit/LITAssets/ItemDefs/Chestplate/texIconArmorGroove.png) | **Repulsion Armor** | Getting hit 6 times activates the repulsion armor, giving 500 armor and reflecting projectiles for 3 (+1.5 per stack) seconds. | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconLopperGroove.png) | **Ol' Lopper** | Deal 2% (+2% per stack) more damage for every 1% health missing from enemies, up to 50% (+50% per stack) damage. | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconRapidMitosisN.png) | **Rapid Mitosis** | Decrease equipment cooldown by 35% (+35% per stack). While you have at least 1 equipment charge, health regeneration is increased by 3.8 hp/s (+1.9 hp/s per stack). | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconThalliumGroove.png) | **Thallium** | 10% chance to inflict thallium poisoning for 500% (+250% per stack) of enemy's base damage and slow by 75%. | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconWickedRingGroove.png) | **Wicked Ring** | Killing enemies decreases all skill cooldowns by 1 (+1 per stack) second. | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconHitList.png) | **The Hit List** | Enemies have a 5% (+2.5% per stack) chance to be marked when spawning. Killing a marked enemy increases base damage by 50% for 20 seconds. | Rare |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconAmethyst.png) | **Gigantic Amethyst** | Reset skill cooldowns on use. | Equipment |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconPrescriptionsPickup%201.png) | **Prescriptions** | Increase attack speed by 70%, damage by 20%, and armor by 20 for 12 seconds. | Equipment |
|![](https://raw.githubusercontent.com/swuff-star/LostInTransit/master/LIT/Assets/Icons/texIconThqwib.png) | **Thqwib** | Release a bloom of 30 thqwibs, detonating on impact for 200% damage. | Equipment |

## Future Plans / Known Bugs
* Item displays and proper VFX.
* New items - more restorations from 1, maybe new Void items for this mod's items? Am open to suggestions.
* Restore Frenzying and Volatile elites, as well as Blighted.


## Credits
* Code - Gaforb, Moffein, Nebby, prod, swuff★
* Art/Modelling/Animation - bruh, dotflare, GEMO, GrooveSalad, LucidInceptor, Nebby, SOM, Subwit, Zenithrium
* Sound - UnknownGlaze, Neik, SOM
* Writing - BlimBlam, Lyrical Endymion, QandQuestion, swuff★, T_Dimensional
* Additional support/special thanks - Draymarc, KevinFromHPCustomerService, KomradeSpectre, Moffein, rob, Shared, TheTimesweeper, xpcybic, /vm/

## Changelog

### 0.4.6
* Items
    * Fixed Guardian's Heart again -prod (thank you again for this so much!! -swuff★)

### 0.4.5
* General
	* Updated to split assemblies
* Items
	* Reworked Life Savings (25 gold every stage -> 75 gold one stage; prior as strong as than shipping form as a white. this one is still strong but i think more satisfying.)
	* Fixed Golden Gun console spam
	* Added Energy Cell
	* Added Rusty Jetpack
	* Squashed some other bugs I can't recall
	* Started some item displays

### 0.4.4

* Added temporal dependency on r2api legacy package lololololololololololololololollolololodlasodjfkoasdnghujisedfbgvkjsdfhbvgyuihwsdfbvjhksdfbvjhk KILL ME PLEASE - Nebby
### 0.4.3
* Items
	* Fixed a bug with Guardian's Heart causing players to be invincible. However, this was at the cost of breaking shieldgating. I leave for work in 10 minutes as I write this but this felt important to get out, even if there is a negative side effect like this.
	* AI Blacklisted Repulsion Chestplate.

### 0.4.2
* Items
	* Most items have been re-rendered for new icons, courtesy of GrooveSalad.
	* Bitter Root, Meat Nugget, and Mysterious Vial all now accomodate for base health regeneration.
	* Reworked Rapid Mitosis: +3.8 hp/s with >= 1 equipment charge -> On Equipment Use: Gain 25% cooldown reduction to all skills for 6 seconds.
	* Repulsion Armor and Golden Gun were rewritten by Moffein to iron out bugs. Thanks, Moffein!
	* Added The Hit List
	* Added Prescriptions

	
(Old changelogs can be found [Here](https://github.com/swuff-star/LostInTransit/blob/master/OldChangelogs.md))
